Subject: Re: [PATCH v2 00/11] Add SHA-256 by default as a breaking change

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 2 Jul 2025 16:46:44 +0200

On Tue, Jul 01, 2025 at 09:22:26PM +0000, brian m. carlson wrote:
> Our breaking changes document outlines that Git 3.0 will make SHA-256
> the default hash algorithm, which is a sensible and prudent approach,
> especially from a security perspective.  However, we haven't tested this
> adequately and it would be helpful to allow users to test this behaviour
> so their code and environments are ready for it.
> 
> Fortunately, c5bc9a7f94 (Makefile: wire up build option for deprecated
> features, 2025-01-22) introduces a build option that we can use for
> testing breaking changes: WITH_BREAKING_CHANGES.  This series introduces
> functionality for SHA-256 by default in this mode so we can test it out.
> 
> Changes since v1:
> * Add a build option for the default hash and use it in the tests.
> * Rename GIT_HASH_ORIGINAL to GIT_HASH_SHA1_LEGACY.
> * Improve some of the commit messages to better explain questions that
>   have come up for review.
> * Improve formatting of nested C preprocessor directives.

I looked specifically for the things that I commented on, all of which
seem to have been addressed. Given that there is no range diff I trust
that there aren't any other unexpected changes.

So this iteration looks good to me, and I think that this series is a
step into the right direction overall.

Patrick